Skip to content

DELETE Dashboard Layout.

DELETE
/api/web/custom/namespaces/system/dashboards/{dashboard_id}/layouts/{layout_name}
curl --request DELETE \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/custom/namespaces/system/dashboards/example/layouts/example \
--header 'Authorization: <Authorization>'

DELETE deletes a specific dashboard layout based on the dashboard_id and ‘layout_name’ provided in the request.

Examples of this operation.

dashboard_id
required
string

DashboardId

x-required DashboardId is the unique ID for each dashboard types, the preset unique ID is defined in stellar code.

layout_name
required
string

LayoutName

x-required LayoutName is the name of the dashboard layout.

A successful response.

Media typeapplication/json
Empty

Empty represents an empty response.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example